Package wx :: Module grid :: Class GridCellEditor

[frames | no frames]

## Type GridCellEditor

        object --+
                 |
    GridCellWorker --+
                     |
                    GridCellEditor

Known Subclasses:
  `GridCellBoolEditor`, `GridCellChoiceEditor`, `GridCellTextEditor`, `PyGridCellEditor`

Proxy of C++ GridCellEditor class

Method Summary
| `__init__(self)`
| `BeginEdit(self, row, col, grid)`
GridCellEditor | `Clone(self)`
| `Create(self, parent, id, evtHandler)`
| `Destroy(self)`
bool | `EndEdit(self, row, col, grid)`
GridCellAttr | `GetCellAttr(self)`
Control | `GetControl(self)`
| `HandleReturn(self, event)`
bool | `IsAcceptedKey(self, event)`
bool | `IsCreated(self)`
| `PaintBackground(self, rectCell, attr)`
| `Reset(self)`
| `SetCellAttr(self, attr)`
| `SetControl(self, control)`
| `SetSize(self, rect)`
| `Show(self, show, attr)`
| `StartingClick(self)`
| `StartingKey(self, event)`

Property Summary
| `CellAttr`: See `GetCellAttr` and `SetCellAttr`
| `Control`: See `GetControl` and `SetControl`
| `thisown`: The membership flag

Property Details

### CellAttr

See `GetCellAttr` and `SetCellAttr`

  Get Method:
    `GetCellAttr`(self)
  Set Method:
    `SetCellAttr`(self, attr)

### Control

See `GetControl` and `SetControl`

  Get Method:
    `GetControl`(self)
  Set Method:
    `SetControl`(self, control)

### thisown

The membership flag

  Get Method:
    unknown--1218757468(...)
  Set Method:
    unknown--1218757412(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:53 2007 | http://epydoc.sf.net